Bug 116452 - Remove "3 seconds to add/delete col/row" functions
Summary: Remove "3 seconds to add/delete col/row" functions
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.2.1 release
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.1.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks: Customize-Dialog-Keyboard
  Show dependency treegraph
 
Reported: 2018-03-17 16:05 UTC by Severo Raz
Modified: 2018-07-27 14:19 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Severo Raz 2018-03-17 16:05:02 UTC
Context: in the [Tools > Customise > Keyboard] configuration panel, the keyboard shortcuts Alt+Insert and Alt+Delete appear as unassigned by default; however, they are unable to execute actions that would be assigned to them by the user. The reason for this I believe is related with hard-coded keyboard shortcuts for table editing in Insert mode [1].

Problem: it may be confusing for the user if they assign an action to either of the aforementioned keyboard shortcuts and then find themselves unable to call the actions through the keyboard shortcuts.

Possible solution: remove these keyboard shortcuts from the aforementioned configuration panel, or display therein the actions they are actually assigned to.

[1]: https://help.libreoffice.org/Writer/Shortcut_Keys_for_Writer#Shortcut_Keys_for_Tables_in_LibreOffice_Writer
Comment 1 Buovjaga 2018-03-17 16:57:36 UTC
I tested by setting both to "Capitalise every word". It worked for both Alt+Insert and Alt+Delete.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 070dbae6b4dc497d6ae898e60203d25b0e608d73
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 17th 2018
Comment 2 Dieter Praas 2018-03-17 17:34:27 UTC
I can't see, that ALT+Insert or ALT+Delete are actually assigned to something by default. Because nothing happens. Are the information in the help actual (I found same informations in the new help).
Comment 3 Buovjaga 2018-03-17 17:45:30 UTC
(In reply to Dieter Praas from comment #2)
> I can't see, that ALT+Insert or ALT+Delete are actually assigned to
> something by default. Because nothing happens. Are the information in the
> help actual (I found same informations in the new help).

No, they are not. You have to assign something to them yourself.
Comment 4 Dieter Praas 2018-03-17 18:33:10 UTC
That means there are wrong informations in the help [1] and the should be updated.

[1] https://help.libreoffice.org/6.1/en-US/text/swriter/04/01020000.html?&DbPAR=WRITER&System=WIN

=> I changed the bug summary
Comment 5 Severo Raz 2018-03-18 02:15:21 UTC
(In reply to Dieter Praas from comment #4)
> That means there are wrong informations in the help [1] and the should be
> updated.
> 
> [1]
> https://help.libreoffice.org/6.1/en-US/text/swriter/04/01020000.
> html?&DbPAR=WRITER&System=WIN
> 
> => I changed the bug summary

So the functionality of Alt+Insert therein explained does not work for you?
Comment 6 Dieter Praas 2018-03-18 05:30:14 UTC
> So the functionality of Alt+Insert therein explained does not work for you?

Yes. And as Buovjaga wrote in comment 3, there is no functionality by default. Do you have another experience?
Comment 7 Buovjaga 2018-03-18 06:52:18 UTC
(In reply to Dieter Praas from comment #6)
> > So the functionality of Alt+Insert therein explained does not work for you?
> 
> Yes. And as Buovjaga wrote in comment 3, there is no functionality by
> default. Do you have another experience?

Alt+Insert and Delete when in a table work for me just fine like it says in the Help. "3 seconds in Insert/Delete mode" - you have to be quick.
Comment 8 Dieter Praas 2018-03-18 07:29:38 UTC
O. K. I pressed the arrow key simultaneously - that was the mistake. But back to your comment 1, Buovjaga: What happens to the "ALT+Insert in a table" funcionality in that case? But I don't have to understand everything.
Comment 9 Buovjaga 2018-03-18 10:56:39 UTC
(In reply to Dieter Praas from comment #8)
> O. K. I pressed the arrow key simultaneously - that was the mistake. But
> back to your comment 1, Buovjaga: What happens to the "ALT+Insert in a
> table" funcionality in that case? But I don't have to understand everything.

If you have modified Alt+Insert in the customize dialog, it will work everywhere else besides inside a table. The table-specific shortcut overrides it in this case.

Severo: were you expecting to be able to override the internal shortcuts with your own even while working inside a table?
Comment 10 Severo Raz 2018-03-18 11:14:06 UTC
(In reply to Buovjaga from comment #9)
> (In reply to Dieter Praas from comment #8)
> > O. K. I pressed the arrow key simultaneously - that was the mistake. But
> > back to your comment 1, Buovjaga: What happens to the "ALT+Insert in a
> > table" funcionality in that case? But I don't have to understand everything.
> 
> If you have modified Alt+Insert in the customize dialog, it will work
> everywhere else besides inside a table. The table-specific shortcut
> overrides it in this case.
> 
> Severo: were you expecting to be able to override the internal shortcuts
> with your own even while working inside a table?

Oh I see. No, actually I wasn't aware that this was an internal shortcut until I found it online, while investigating why my Alt+Delete binding wasn't working. I proceeded to think that my binding wasn't working because it was already internally assigned to the aforementioned table operations, which was an erroneous assumption as per what you report.

If the aforementioned keybindings only override in insert mode and in a table, I guess it is not very intrusive for the user. However, then I think it would be appropriate to give the user some warning on that their keybinding will be overriden in such a situation.
Comment 11 Severo Raz 2018-03-18 11:15:38 UTC
Either that, or making such table operation keybindings customizable, and have them show up in the keybinding customization dialog.
Comment 12 Buovjaga 2018-03-18 11:17:19 UTC
Let's ax ux.
Comment 13 Heiko Tietze 2018-03-19 09:30:12 UTC
Looks like the key combination toggles some internal flag so the actual shortcut is executed repeatedly. And of course, all shortcuts have to be listed in the keybindings. But I would challenge the function as it doesn't work for me (I never can add more than one row/col), has superior alternatives (Table > Insert > Row/Col; could be provided at the sidebar), and is a clumsy way to quickly add row/cols (after 3s all the magic is gone).

The function is a dinosaur, documented with OO 3.3, and should get extincted.
Comment 14 Buovjaga 2018-03-19 11:26:51 UTC
(In reply to Heiko Tietze from comment #13)
> Looks like the key combination toggles some internal flag so the actual
> shortcut is executed repeatedly. And of course, all shortcuts have to be
> listed in the keybindings. But I would challenge the function as it doesn't
> work for me (I never can add more than one row/col), has superior
> alternatives (Table > Insert > Row/Col; could be provided at the sidebar),
> and is a clumsy way to quickly add row/cols (after 3s all the magic is gone).
> 
> The function is a dinosaur, documented with OO 3.3, and should get extincted.

Agreed, I was thinking exactly the same when I tested. 3 seconds to add stuff, yipee!! Have to have some professional gamer reflexes to make use of those seconds.
Comment 15 Severo Raz 2018-03-19 20:46:57 UTC
Yeah I would have no problem with its removal I guess, I wonder if somebody will. It does seem like an oddity of a key binding, maybe the source code would benefit from its removal.
Comment 16 Heiko Tietze 2018-03-22 18:50:51 UTC
The recommendation of the design team to remove the weird function was accepted in the ESC today. This should solve the actual problem, though it's not a call for  hunting easter eggs. If similar issues with hard-coded key combinations become a problem we have to decide how to proceed. Adjusted the summary accordingly from the original "Indicate context-specific reserved keyboard shortcuts in the customize dialog".

Destructive coding is per se easyhacking. Shouldn't be too hard to find the respective code pointers.
Comment 17 Heiko Tietze 2018-03-26 11:13:30 UTC
Patch at https://gerrit.libreoffice.org/#/c/51872/
Comment 18 Commit Notification 2018-04-04 08:05:49 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2d5ce0e1b233c83f91481cd6b9306ac8de7f5ff8

tdf#116452 Remove "3 seconds to add/delete col/row" functions

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2018-04-04 20:55:49 UTC
Ilmari Lauhakangas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=d3b7ab4e362375a60a14efb2c55623dae6e5d5d2

tdf#116452 Remove "3 seconds to add/delete col/row" functions